---
import PersonCard from './PersonCard.astro';
import Section from './Section.astro';

let response = await fetch('https://dapi.escuelaideo.edu.es/enap/items/ponentes?fields=name,details,slug,picture_main.data');

let data = await response.json();

---
<Section title="Ponentes" anchor="ponentes">
    <div class="container mx-auto grid grid-cols-2 md:grid-cols-4 gap-2 md:gap-8">
        {data.data.map(person => {
            return (<PersonCard person={person}/>);
        })}
    </div>
</Section>
